<div [@fromTop]>
	<div [@selectedPress]="isCheckedForCompare$ | async" class="row mx-auto my-4 p-1 transient-prod-view pet-glow-primary rounded">
		<div class=col>
			<div *ngIf="product._stage>0">
				<app-first-stage-view [fsDto]="product.fsDto" [id]="product.id" [listing]="true"></app-first-stage-view>
			</div>

			<div *ngIf="product._stage>1" class="position-relative mt-3">
				<div [@puffRight] *ngIf="isCheckedForCompare$ | async"
				  class="row compare-check rounded bg-secondary-light pet-glow-secondary">
					<div class="col-auto px-1">
						<span class="small text-tertiary-light" i18n="@@checkedStamp">Checked for comparison</span>
					</div>
					<div class="col-auto px-1">
						<fa-icon [icon]="iconChecked" class="light-svg"></fa-icon>
					</div>
				</div>
				<app-second-stage-view [ssDto]="product.ssDto" [id]="product.id" [listing]="true" 
				  [checkedForCompare]="(isCheckedForCompare$ | async) ?? false"
				  (tellCheckedForCompare)="listenToCompare($event.posX, $event.posY)"></app-second-stage-view>
			</div>

			<div *ngIf="product._stage>2">
				<app-third-stage-view [tsDto]="product.tsDto" [listing]="true"></app-third-stage-view>
			</div>
		</div>
	</div>
</div>
